Subject: Re: bug#51654: 29.0.50; mule-cmds.el compiler warnings about emoji-*

From: Arash Esbati <[email-masked]>
Date: Sun, 07 Nov 2021 14:23:47 +0100

Eli Zaretskii <[email-masked]> writes:

>> From: Arash Esbati <[email-masked]>
>> Cc: [email-masked]
>> Date: Sun, 07 Nov 2021 12:03:07 +0100
>> 
>> > I guess you didn't bootstrap?  If so, just touch mule-cmds.el and try
>> > again.
>> 
>> I use a script which does:
>> 
>>     git clean -fdx && ./autogen.sh && ./configure ... && make
>> 
>> My tree should be then in a clean status when make starts.
>> 
>> I also tried your suggestion, warnings remain.
>
> There should be a file lisp/international/emoji.el, where this command
> is defined.  Do you have that file?

,----[ C-h f emoji-insert RET ]
| emoji-insert is an autoloaded interactive Lisp closure in ‘emoji.el’.
| 
| It is bound to C-x 8 e i, C-x 8 e e.
| 
| (emoji-insert &optional TEXT)
| 
| Choose and insert an emoji glyph.
| If TEXT (interactively, the prefix), use a textual search instead
| of a visual interface.
| 
|   Probably introduced at or before Emacs version 29.1.
| 
`----

Best, Arash